Panda3D

Loading...
Searching...
No Matches
Macros | Functions | Variables
bulletWorld.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "bulletWorld.h"`
`#include "config_bullet.h"`
`#include "bulletFilterCallbackData.h"`
`#include "bulletPersistentManifold.h"`
`#include "bulletShape.h"`
`#include "bulletSoftBodyWorldInfo.h"`
`#include "bulletTickCallbackData.h"`
`#include "collideMask.h"`
`#include "lightMutexHolder.h"`

Go to the source code of this file.

## Macros
#define | clamp(x, x_min, x_max)

## Functions
ostream & | operator<< (ostream &out, BulletWorld::BroadphaseAlgorithm algorithm)
ostream & | operator<< (ostream &out, BulletWorld::FilterAlgorithm algorithm)
istream & | operator>> (istream &in, BulletWorld::BroadphaseAlgorithm &algorithm)
istream & | operator>> (istream &in, BulletWorld::FilterAlgorithm &algorithm)

## Variables
PointerTo< CallbackObject > | bullet_contact_added_callback

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  enn0x

Date
  2010-01-23

Definition in file bulletWorld.cxx.

## Macro Definition Documentation

## ◆ clamp

#define clamp | ( |  | x,
|  |  | x_min,
|  |  | x_max )

Value:
std::max(std::min(x, x_max), x_min)

Definition at line 27 of file bulletWorld.cxx.

## Function Documentation

## ◆ operator<<() [1/2]

ostream & operator<< | ( | ostream & | out,
|  | BulletWorld::BroadphaseAlgorithm | algorithm )

Definition at line 1335 of file bulletWorld.cxx.

## ◆ operator<<() [2/2]

ostream & operator<< | ( | ostream & | out,
|  | BulletWorld::FilterAlgorithm | algorithm )

Definition at line 1375 of file bulletWorld.cxx.

## ◆ operator>>() [1/2]

istream & operator>> | ( | istream & | in,
|  | BulletWorld::BroadphaseAlgorithm & | algorithm )

Definition at line 1353 of file bulletWorld.cxx.

## ◆ operator>>() [2/2]

istream & operator>> | ( | istream & | in,
|  | BulletWorld::FilterAlgorithm & | algorithm )

Definition at line 1393 of file bulletWorld.cxx.

## Variable Documentation

## ◆ bullet_contact_added_callback

PointerTo< CallbackObject > bullet_contact_added_callback

Definition at line 41 of file bulletWorld.cxx.